# $Revision: 1.6 $, $Date: 2002/08/30 18:34:34 $
Summary:	Qt-based SAP music files player
Summary(pl):	Oparty na Qt odtwarzacz plikw muzycznych SAP
Name:		saper
Version:	0.28
Release:	2
License:	GPL/Freeware
Group:		X11/Applications/Multimedia
Source0:	http://asma.dspaudio.com/bin/%{name}-%{version}-src.tar.bz2
Patch0:		%{name}-system-libsap.patch
Patch1:		%{name}-ac-am.patch
URL:		http://asma.dspaudio.com/
BuildRequires:	libsap-devel
BuildRequires:	qt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Qt-based SAP music files (known from Atari XL/XE) player.

%description -l pl
Oparty na Qt odtwarzacz plikw muzycznych SAP (znanych z Atari XL/XE).

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1
%patch1 -p1

%build
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-mt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install saper/saper $RPM_BUILD_ROOT%{_bindir}
mv -f saper/stilview/README.txt README.stilview

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README README.stilview saper/docs/en/*.html
%attr(755,root,root) %{_bindir}/saper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: saper.spec,v $
Revision 1.6  2002/08/30 18:34:34  qboosh
- new %%doc, release 2 (builds OK with qt3)

Revision 1.5  2002/05/21 23:14:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.3  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.2  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/05 22:27:37  qboosh
- new: qt-based SAP player
- patches: system libsap, ac/am (kdevelop's am "support" is one big mistake!)
